# This file is generated by make.paws. Please do not edit here.
#' @importFrom paws.common get_config new_operation new_request send_request
#' @include prometheusservice_service.R
NULL

#' Create an alert manager definition
#'
#' @description
#' Create an alert manager definition.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_create_alert_manager_definition/](https://www.paws-r-sdk.com/docs/prometheusservice_create_alert_manager_definition/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace in which to create the alert manager definition.
#' @param data &#91;required&#93; The alert manager definition data.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_create_alert_manager_definition
prometheusservice_create_alert_manager_definition <- function(workspaceId, data, clientToken = NULL) {
  op <- new_operation(
    name = "CreateAlertManagerDefinition",
    http_method = "POST",
    http_path = "/workspaces/{workspaceId}/alertmanager/definition",
    paginator = list()
  )
  input <- .prometheusservice$create_alert_manager_definition_input(workspaceId = workspaceId, data = data, clientToken = clientToken)
  output <- .prometheusservice$create_alert_manager_definition_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$create_alert_manager_definition <- prometheusservice_create_alert_manager_definition

#' Create logging configuration
#'
#' @description
#' Create logging configuration.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_create_logging_configuration/](https://www.paws-r-sdk.com/docs/prometheusservice_create_logging_configuration/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to vend logs to.
#' @param logGroupArn &#91;required&#93; The ARN of the CW log group to which the vended log data will be
#' published.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_create_logging_configuration
prometheusservice_create_logging_configuration <- function(workspaceId, logGroupArn, clientToken = NULL) {
  op <- new_operation(
    name = "CreateLoggingConfiguration",
    http_method = "POST",
    http_path = "/workspaces/{workspaceId}/logging",
    paginator = list()
  )
  input <- .prometheusservice$create_logging_configuration_input(workspaceId = workspaceId, logGroupArn = logGroupArn, clientToken = clientToken)
  output <- .prometheusservice$create_logging_configuration_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$create_logging_configuration <- prometheusservice_create_logging_configuration

#' Create a rule group namespace
#'
#' @description
#' Create a rule group namespace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_create_rule_groups_namespace/](https://www.paws-r-sdk.com/docs/prometheusservice_create_rule_groups_namespace/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace in which to create the rule group namespace.
#' @param name &#91;required&#93; The rule groups namespace name.
#' @param data &#91;required&#93; The namespace data that define the rule groups.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#' @param tags Optional, user-provided tags for this rule groups namespace.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_create_rule_groups_namespace
prometheusservice_create_rule_groups_namespace <- function(workspaceId, name, data, clientToken = NULL, tags = NULL) {
  op <- new_operation(
    name = "CreateRuleGroupsNamespace",
    http_method = "POST",
    http_path = "/workspaces/{workspaceId}/rulegroupsnamespaces",
    paginator = list()
  )
  input <- .prometheusservice$create_rule_groups_namespace_input(workspaceId = workspaceId, name = name, data = data, clientToken = clientToken, tags = tags)
  output <- .prometheusservice$create_rule_groups_namespace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$create_rule_groups_namespace <- prometheusservice_create_rule_groups_namespace

#' Create a scraper
#'
#' @description
#' Create a scraper.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_create_scraper/](https://www.paws-r-sdk.com/docs/prometheusservice_create_scraper/) for full documentation.
#'
#' @param alias An optional user-assigned alias for this scraper. This alias is for user
#' reference and does not need to be unique.
#' @param scrapeConfiguration &#91;required&#93; The configuration used to create the scraper.
#' @param source &#91;required&#93; The source that the scraper will be discovering and collecting metrics
#' from.
#' @param destination &#91;required&#93; The destination that the scraper will be producing metrics to.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#' @param tags Optional, user-provided tags for this scraper.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_create_scraper
prometheusservice_create_scraper <- function(alias = NULL, scrapeConfiguration, source, destination, clientToken = NULL, tags = NULL) {
  op <- new_operation(
    name = "CreateScraper",
    http_method = "POST",
    http_path = "/scrapers",
    paginator = list()
  )
  input <- .prometheusservice$create_scraper_input(alias = alias, scrapeConfiguration = scrapeConfiguration, source = source, destination = destination, clientToken = clientToken, tags = tags)
  output <- .prometheusservice$create_scraper_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$create_scraper <- prometheusservice_create_scraper

#' Creates a new AMP workspace
#'
#' @description
#' Creates a new AMP workspace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_create_workspace/](https://www.paws-r-sdk.com/docs/prometheusservice_create_workspace/) for full documentation.
#'
#' @param alias An optional user-assigned alias for this workspace. This alias is for
#' user reference and does not need to be unique.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#' @param tags Optional, user-provided tags for this workspace.
#' @param kmsKeyArn Optional, customer managed KMS key used to encrypt data for this
#' workspace
#'
#' @keywords internal
#'
#' @rdname prometheusservice_create_workspace
prometheusservice_create_workspace <- function(alias = NULL, clientToken = NULL, tags = NULL, kmsKeyArn = NULL) {
  op <- new_operation(
    name = "CreateWorkspace",
    http_method = "POST",
    http_path = "/workspaces",
    paginator = list()
  )
  input <- .prometheusservice$create_workspace_input(alias = alias, clientToken = clientToken, tags = tags, kmsKeyArn = kmsKeyArn)
  output <- .prometheusservice$create_workspace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$create_workspace <- prometheusservice_create_workspace

#' Deletes an alert manager definition
#'
#' @description
#' Deletes an alert manager definition.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_delete_alert_manager_definition/](https://www.paws-r-sdk.com/docs/prometheusservice_delete_alert_manager_definition/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace in which to delete the alert manager definition.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_delete_alert_manager_definition
prometheusservice_delete_alert_manager_definition <- function(workspaceId, clientToken = NULL) {
  op <- new_operation(
    name = "DeleteAlertManagerDefinition",
    http_method = "DELETE",
    http_path = "/workspaces/{workspaceId}/alertmanager/definition",
    paginator = list()
  )
  input <- .prometheusservice$delete_alert_manager_definition_input(workspaceId = workspaceId, clientToken = clientToken)
  output <- .prometheusservice$delete_alert_manager_definition_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$delete_alert_manager_definition <- prometheusservice_delete_alert_manager_definition

#' Delete logging configuration
#'
#' @description
#' Delete logging configuration.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_delete_logging_configuration/](https://www.paws-r-sdk.com/docs/prometheusservice_delete_logging_configuration/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to vend logs to.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_delete_logging_configuration
prometheusservice_delete_logging_configuration <- function(workspaceId, clientToken = NULL) {
  op <- new_operation(
    name = "DeleteLoggingConfiguration",
    http_method = "DELETE",
    http_path = "/workspaces/{workspaceId}/logging",
    paginator = list()
  )
  input <- .prometheusservice$delete_logging_configuration_input(workspaceId = workspaceId, clientToken = clientToken)
  output <- .prometheusservice$delete_logging_configuration_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$delete_logging_configuration <- prometheusservice_delete_logging_configuration

#' Delete a rule groups namespace
#'
#' @description
#' Delete a rule groups namespace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_delete_rule_groups_namespace/](https://www.paws-r-sdk.com/docs/prometheusservice_delete_rule_groups_namespace/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to delete rule group definition.
#' @param name &#91;required&#93; The rule groups namespace name.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_delete_rule_groups_namespace
prometheusservice_delete_rule_groups_namespace <- function(workspaceId, name, clientToken = NULL) {
  op <- new_operation(
    name = "DeleteRuleGroupsNamespace",
    http_method = "DELETE",
    http_path = "/workspaces/{workspaceId}/rulegroupsnamespaces/{name}",
    paginator = list()
  )
  input <- .prometheusservice$delete_rule_groups_namespace_input(workspaceId = workspaceId, name = name, clientToken = clientToken)
  output <- .prometheusservice$delete_rule_groups_namespace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$delete_rule_groups_namespace <- prometheusservice_delete_rule_groups_namespace

#' Deletes a scraper
#'
#' @description
#' Deletes a scraper.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_delete_scraper/](https://www.paws-r-sdk.com/docs/prometheusservice_delete_scraper/) for full documentation.
#'
#' @param scraperId &#91;required&#93; The ID of the scraper to delete.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_delete_scraper
prometheusservice_delete_scraper <- function(scraperId, clientToken = NULL) {
  op <- new_operation(
    name = "DeleteScraper",
    http_method = "DELETE",
    http_path = "/scrapers/{scraperId}",
    paginator = list()
  )
  input <- .prometheusservice$delete_scraper_input(scraperId = scraperId, clientToken = clientToken)
  output <- .prometheusservice$delete_scraper_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$delete_scraper <- prometheusservice_delete_scraper

#' Deletes an AMP workspace
#'
#' @description
#' Deletes an AMP workspace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_delete_workspace/](https://www.paws-r-sdk.com/docs/prometheusservice_delete_workspace/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to delete.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_delete_workspace
prometheusservice_delete_workspace <- function(workspaceId, clientToken = NULL) {
  op <- new_operation(
    name = "DeleteWorkspace",
    http_method = "DELETE",
    http_path = "/workspaces/{workspaceId}",
    paginator = list()
  )
  input <- .prometheusservice$delete_workspace_input(workspaceId = workspaceId, clientToken = clientToken)
  output <- .prometheusservice$delete_workspace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$delete_workspace <- prometheusservice_delete_workspace

#' Describes an alert manager definition
#'
#' @description
#' Describes an alert manager definition.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_describe_alert_manager_definition/](https://www.paws-r-sdk.com/docs/prometheusservice_describe_alert_manager_definition/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to describe.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_describe_alert_manager_definition
prometheusservice_describe_alert_manager_definition <- function(workspaceId) {
  op <- new_operation(
    name = "DescribeAlertManagerDefinition",
    http_method = "GET",
    http_path = "/workspaces/{workspaceId}/alertmanager/definition",
    paginator = list()
  )
  input <- .prometheusservice$describe_alert_manager_definition_input(workspaceId = workspaceId)
  output <- .prometheusservice$describe_alert_manager_definition_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$describe_alert_manager_definition <- prometheusservice_describe_alert_manager_definition

#' Describes logging configuration
#'
#' @description
#' Describes logging configuration.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_describe_logging_configuration/](https://www.paws-r-sdk.com/docs/prometheusservice_describe_logging_configuration/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to vend logs to.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_describe_logging_configuration
prometheusservice_describe_logging_configuration <- function(workspaceId) {
  op <- new_operation(
    name = "DescribeLoggingConfiguration",
    http_method = "GET",
    http_path = "/workspaces/{workspaceId}/logging",
    paginator = list()
  )
  input <- .prometheusservice$describe_logging_configuration_input(workspaceId = workspaceId)
  output <- .prometheusservice$describe_logging_configuration_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$describe_logging_configuration <- prometheusservice_describe_logging_configuration

#' Describe a rule groups namespace
#'
#' @description
#' Describe a rule groups namespace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_describe_rule_groups_namespace/](https://www.paws-r-sdk.com/docs/prometheusservice_describe_rule_groups_namespace/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to describe.
#' @param name &#91;required&#93; The rule groups namespace.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_describe_rule_groups_namespace
prometheusservice_describe_rule_groups_namespace <- function(workspaceId, name) {
  op <- new_operation(
    name = "DescribeRuleGroupsNamespace",
    http_method = "GET",
    http_path = "/workspaces/{workspaceId}/rulegroupsnamespaces/{name}",
    paginator = list()
  )
  input <- .prometheusservice$describe_rule_groups_namespace_input(workspaceId = workspaceId, name = name)
  output <- .prometheusservice$describe_rule_groups_namespace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$describe_rule_groups_namespace <- prometheusservice_describe_rule_groups_namespace

#' Describe an existing scraper
#'
#' @description
#' Describe an existing scraper.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_describe_scraper/](https://www.paws-r-sdk.com/docs/prometheusservice_describe_scraper/) for full documentation.
#'
#' @param scraperId &#91;required&#93; The IDs of the scraper to describe.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_describe_scraper
prometheusservice_describe_scraper <- function(scraperId) {
  op <- new_operation(
    name = "DescribeScraper",
    http_method = "GET",
    http_path = "/scrapers/{scraperId}",
    paginator = list()
  )
  input <- .prometheusservice$describe_scraper_input(scraperId = scraperId)
  output <- .prometheusservice$describe_scraper_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$describe_scraper <- prometheusservice_describe_scraper

#' Describes an existing AMP workspace
#'
#' @description
#' Describes an existing AMP workspace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_describe_workspace/](https://www.paws-r-sdk.com/docs/prometheusservice_describe_workspace/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to describe.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_describe_workspace
prometheusservice_describe_workspace <- function(workspaceId) {
  op <- new_operation(
    name = "DescribeWorkspace",
    http_method = "GET",
    http_path = "/workspaces/{workspaceId}",
    paginator = list()
  )
  input <- .prometheusservice$describe_workspace_input(workspaceId = workspaceId)
  output <- .prometheusservice$describe_workspace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$describe_workspace <- prometheusservice_describe_workspace

#' Gets a default configuration
#'
#' @description
#' Gets a default configuration.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_get_default_scraper_configuration/](https://www.paws-r-sdk.com/docs/prometheusservice_get_default_scraper_configuration/) for full documentation.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_get_default_scraper_configuration
prometheusservice_get_default_scraper_configuration <- function() {
  op <- new_operation(
    name = "GetDefaultScraperConfiguration",
    http_method = "GET",
    http_path = "/scraperconfiguration",
    paginator = list()
  )
  input <- .prometheusservice$get_default_scraper_configuration_input()
  output <- .prometheusservice$get_default_scraper_configuration_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$get_default_scraper_configuration <- prometheusservice_get_default_scraper_configuration

#' Lists rule groups namespaces
#'
#' @description
#' Lists rule groups namespaces.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_list_rule_groups_namespaces/](https://www.paws-r-sdk.com/docs/prometheusservice_list_rule_groups_namespaces/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace.
#' @param name Optional filter for rule groups namespace name. Only the rule groups
#' namespace that begin with this value will be returned.
#' @param nextToken Pagination token to request the next page in a paginated list. This
#' token is obtained from the output of the previous
#' ListRuleGroupsNamespaces request.
#' @param maxResults Maximum results to return in response (default=100, maximum=1000).
#'
#' @keywords internal
#'
#' @rdname prometheusservice_list_rule_groups_namespaces
prometheusservice_list_rule_groups_namespaces <- function(workspaceId, name = NULL, nextToken = NULL, maxResults = NULL) {
  op <- new_operation(
    name = "ListRuleGroupsNamespaces",
    http_method = "GET",
    http_path = "/workspaces/{workspaceId}/rulegroupsnamespaces",
    paginator = list(input_token = "nextToken", output_token = "nextToken", limit_key = "maxResults", result_key = "ruleGroupsNamespaces")
  )
  input <- .prometheusservice$list_rule_groups_namespaces_input(workspaceId = workspaceId, name = name, nextToken = nextToken, maxResults = maxResults)
  output <- .prometheusservice$list_rule_groups_namespaces_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$list_rule_groups_namespaces <- prometheusservice_list_rule_groups_namespaces

#' Lists all scrapers in a customer account, including scrapers being
#' created or deleted
#'
#' @description
#' Lists all scrapers in a customer account, including scrapers being created or deleted. You may provide filters to return a more specific list of results.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_list_scrapers/](https://www.paws-r-sdk.com/docs/prometheusservice_list_scrapers/) for full documentation.
#'
#' @param filters A list of scraper filters.
#' @param nextToken Pagination token to request the next page in a paginated list. This
#' token is obtained from the output of the previous ListScrapers request.
#' @param maxResults Maximum results to return in response (default=100, maximum=1000).
#'
#' @keywords internal
#'
#' @rdname prometheusservice_list_scrapers
prometheusservice_list_scrapers <- function(filters = NULL, nextToken = NULL, maxResults = NULL) {
  op <- new_operation(
    name = "ListScrapers",
    http_method = "GET",
    http_path = "/scrapers",
    paginator = list(input_token = "nextToken", output_token = "nextToken", limit_key = "maxResults", result_key = "scrapers")
  )
  input <- .prometheusservice$list_scrapers_input(filters = filters, nextToken = nextToken, maxResults = maxResults)
  output <- .prometheusservice$list_scrapers_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$list_scrapers <- prometheusservice_list_scrapers

#' Lists the tags you have assigned to the resource
#'
#' @description
#' Lists the tags you have assigned to the resource.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_list_tags_for_resource/](https://www.paws-r-sdk.com/docs/prometheusservice_list_tags_for_resource/) for full documentation.
#'
#' @param resourceArn &#91;required&#93; The ARN of the resource.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_list_tags_for_resource
prometheusservice_list_tags_for_resource <- function(resourceArn) {
  op <- new_operation(
    name = "ListTagsForResource",
    http_method = "GET",
    http_path = "/tags/{resourceArn}",
    paginator = list()
  )
  input <- .prometheusservice$list_tags_for_resource_input(resourceArn = resourceArn)
  output <- .prometheusservice$list_tags_for_resource_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$list_tags_for_resource <- prometheusservice_list_tags_for_resource

#' Lists all AMP workspaces, including workspaces being created or deleted
#'
#' @description
#' Lists all AMP workspaces, including workspaces being created or deleted.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_list_workspaces/](https://www.paws-r-sdk.com/docs/prometheusservice_list_workspaces/) for full documentation.
#'
#' @param nextToken Pagination token to request the next page in a paginated list. This
#' token is obtained from the output of the previous ListWorkspaces
#' request.
#' @param alias Optional filter for workspace alias. Only the workspaces with aliases
#' that begin with this value will be returned.
#' @param maxResults Maximum results to return in response (default=100, maximum=1000).
#'
#' @keywords internal
#'
#' @rdname prometheusservice_list_workspaces
prometheusservice_list_workspaces <- function(nextToken = NULL, alias = NULL, maxResults = NULL) {
  op <- new_operation(
    name = "ListWorkspaces",
    http_method = "GET",
    http_path = "/workspaces",
    paginator = list(input_token = "nextToken", output_token = "nextToken", limit_key = "maxResults", result_key = "workspaces")
  )
  input <- .prometheusservice$list_workspaces_input(nextToken = nextToken, alias = alias, maxResults = maxResults)
  output <- .prometheusservice$list_workspaces_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$list_workspaces <- prometheusservice_list_workspaces

#' Update an alert manager definition
#'
#' @description
#' Update an alert manager definition.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_put_alert_manager_definition/](https://www.paws-r-sdk.com/docs/prometheusservice_put_alert_manager_definition/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace in which to update the alert manager definition.
#' @param data &#91;required&#93; The alert manager definition data.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_put_alert_manager_definition
prometheusservice_put_alert_manager_definition <- function(workspaceId, data, clientToken = NULL) {
  op <- new_operation(
    name = "PutAlertManagerDefinition",
    http_method = "PUT",
    http_path = "/workspaces/{workspaceId}/alertmanager/definition",
    paginator = list()
  )
  input <- .prometheusservice$put_alert_manager_definition_input(workspaceId = workspaceId, data = data, clientToken = clientToken)
  output <- .prometheusservice$put_alert_manager_definition_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$put_alert_manager_definition <- prometheusservice_put_alert_manager_definition

#' Update a rule groups namespace
#'
#' @description
#' Update a rule groups namespace.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_put_rule_groups_namespace/](https://www.paws-r-sdk.com/docs/prometheusservice_put_rule_groups_namespace/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace in which to update the rule group namespace.
#' @param name &#91;required&#93; The rule groups namespace name.
#' @param data &#91;required&#93; The namespace data that define the rule groups.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_put_rule_groups_namespace
prometheusservice_put_rule_groups_namespace <- function(workspaceId, name, data, clientToken = NULL) {
  op <- new_operation(
    name = "PutRuleGroupsNamespace",
    http_method = "PUT",
    http_path = "/workspaces/{workspaceId}/rulegroupsnamespaces/{name}",
    paginator = list()
  )
  input <- .prometheusservice$put_rule_groups_namespace_input(workspaceId = workspaceId, name = name, data = data, clientToken = clientToken)
  output <- .prometheusservice$put_rule_groups_namespace_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$put_rule_groups_namespace <- prometheusservice_put_rule_groups_namespace

#' Creates tags for the specified resource
#'
#' @description
#' Creates tags for the specified resource.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_tag_resource/](https://www.paws-r-sdk.com/docs/prometheusservice_tag_resource/) for full documentation.
#'
#' @param resourceArn &#91;required&#93; The ARN of the resource.
#' @param tags &#91;required&#93; 
#'
#' @keywords internal
#'
#' @rdname prometheusservice_tag_resource
prometheusservice_tag_resource <- function(resourceArn, tags) {
  op <- new_operation(
    name = "TagResource",
    http_method = "POST",
    http_path = "/tags/{resourceArn}",
    paginator = list()
  )
  input <- .prometheusservice$tag_resource_input(resourceArn = resourceArn, tags = tags)
  output <- .prometheusservice$tag_resource_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$tag_resource <- prometheusservice_tag_resource

#' Deletes tags from the specified resource
#'
#' @description
#' Deletes tags from the specified resource.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_untag_resource/](https://www.paws-r-sdk.com/docs/prometheusservice_untag_resource/) for full documentation.
#'
#' @param resourceArn &#91;required&#93; The ARN of the resource.
#' @param tagKeys &#91;required&#93; One or more tag keys
#'
#' @keywords internal
#'
#' @rdname prometheusservice_untag_resource
prometheusservice_untag_resource <- function(resourceArn, tagKeys) {
  op <- new_operation(
    name = "UntagResource",
    http_method = "DELETE",
    http_path = "/tags/{resourceArn}",
    paginator = list()
  )
  input <- .prometheusservice$untag_resource_input(resourceArn = resourceArn, tagKeys = tagKeys)
  output <- .prometheusservice$untag_resource_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$untag_resource <- prometheusservice_untag_resource

#' Update logging configuration
#'
#' @description
#' Update logging configuration.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_update_logging_configuration/](https://www.paws-r-sdk.com/docs/prometheusservice_update_logging_configuration/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace to vend logs to.
#' @param logGroupArn &#91;required&#93; The ARN of the CW log group to which the vended log data will be
#' published.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_update_logging_configuration
prometheusservice_update_logging_configuration <- function(workspaceId, logGroupArn, clientToken = NULL) {
  op <- new_operation(
    name = "UpdateLoggingConfiguration",
    http_method = "PUT",
    http_path = "/workspaces/{workspaceId}/logging",
    paginator = list()
  )
  input <- .prometheusservice$update_logging_configuration_input(workspaceId = workspaceId, logGroupArn = logGroupArn, clientToken = clientToken)
  output <- .prometheusservice$update_logging_configuration_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$update_logging_configuration <- prometheusservice_update_logging_configuration

#' Updates an AMP workspace alias
#'
#' @description
#' Updates an AMP workspace alias.
#'
#' See [https://www.paws-r-sdk.com/docs/prometheusservice_update_workspace_alias/](https://www.paws-r-sdk.com/docs/prometheusservice_update_workspace_alias/) for full documentation.
#'
#' @param workspaceId &#91;required&#93; The ID of the workspace being updated.
#' @param alias The new alias of the workspace.
#' @param clientToken Optional, unique, case-sensitive, user-provided identifier to ensure the
#' idempotency of the request.
#'
#' @keywords internal
#'
#' @rdname prometheusservice_update_workspace_alias
prometheusservice_update_workspace_alias <- function(workspaceId, alias = NULL, clientToken = NULL) {
  op <- new_operation(
    name = "UpdateWorkspaceAlias",
    http_method = "POST",
    http_path = "/workspaces/{workspaceId}/alias",
    paginator = list()
  )
  input <- .prometheusservice$update_workspace_alias_input(workspaceId = workspaceId, alias = alias, clientToken = clientToken)
  output <- .prometheusservice$update_workspace_alias_output()
  config <- get_config()
  svc <- .prometheusservice$service(config)
  request <- new_request(svc, op, input, output)
  response <- send_request(request)
  return(response)
}
.prometheusservice$operations$update_workspace_alias <- prometheusservice_update_workspace_alias
